//
//  ViewController.m
//  LegendDemo
//
//  Created by Darrell Kress on 2/17/15.
//  Copyright (c) 2015 Darrell Kress. All rights reserved.
//

#import "ViewController.h"
#import <IGChart/IGChart.h>

@interface DataObject : NSObject
@property int value;
@property NSString* name;
@end

@implementation DataObject


@end

@interface ViewController ()
{
    IGChartView* _chartView;
    IGLegend* _legend;
    IGCategorySeriesDataSourceHelper* _helper;
}
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    _chartView = [[IGChartView alloc]initWithFrame:CGRectMake(30, 30, self.view.bounds.size.width, self.view.bounds.size.height)];
    [self.view addSubview:_chartView];
    
    [self makeLegend];
    
    [self makeData];
    
}
-(void)makeData
{
    NSMutableArray* list = [[NSMutableArray alloc]init];
    
    DataObject* d = [[DataObject alloc]init];
    d.value = 5;
    d.name = @"Obj1";
    
    [list addObject:d];
    
    d = [[DataObject alloc]init];
    d.value = 2;
    d.name = @"Obj2";
    
    [list addObject:d];
 
    d = [[DataObject alloc]init];
    d.value = 8;
    d.name = @"Obj3";
    
    [list addObject:d];
    
    _helper =[[IGCategorySeriesDataSourceHelper alloc]init];
    _helper.data = list;
    _helper.valuePath =@"value";
    _helper.labelPath=@"name";
    
    /*
    IGLineSeries* s = [[IGLineSeries alloc]initWithKey:@"L"];
    s.dataSource = _helper;
    [    _chartView addSeriesForType:[IGLineSeries class] usingKey:@"L" withDataSource:_helper firstAxisKey:@"x" secondAxisKey:@"y" ];
    
    */
    
    
    
    IGCategoryXAxis* xAxis = [[IGCategoryXAxis alloc]initWithKey:@"x"];
    IGNumericYAxis* yAxis = [[IGNumericYAxis alloc]initWithKey:@"y"];
    
    [_chartView addAxis:xAxis];
    [_chartView addAxis:yAxis];
    
    IGLineSeries* s = [[IGLineSeries alloc]initWithKey:@"S"];
    s.xAxis = _chartView.axes[0];
    s.yAxis = _chartView.axes[1];
    
    s.yAxis.minimum = 0;
    s.yAxis.maximum = 10;
    
    
    s.title = @"Some Title";
    
    s.legendItemIsVisible = YES;
  
    // Unnecessary since we attached to the chart already
    // s.legend = _legend;
    
    s.dataSource = _helper;
    
    [_chartView addSeries:s];
}

-(void)makeLegend
{
    _legend = [[IGLegend alloc]   initWithFrame:CGRectMake(30, 30, 200, 200) andLegendType:IGChartLegendTypeSeries];
    [self.view addSubview:_legend];
    _chartView.legend= _legend;
    _legend.backgroundColor =[UIColor redColor];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end

